This documentation is for an outdated version of Video.js. See documentation for the current release.

# HTMLTrackElement

https://html.spec.whatwg.org/multipage/embedded-content.html#htmltrackelement

interface HTMLTrackElement : HTMLElement { attribute DOMString kind; attribute DOMString src; attribute DOMString srclang; attribute DOMString label; attribute boolean default;

const unsigned short NONE = 0; const unsigned short LOADING = 1; const unsigned short LOADED = 2; const unsigned short ERROR = 3; readonly attribute unsigned short readyState;

readonly attribute TextTrack track; };

DEFINED IN: html-track-element.js line number: 15

EXTENDS: button.js

### Constructor

    HTMLTrackElement( options )

#### Parameters

name | Type | Required | Description
--- | --- | --- | ---
options | Object | yes | TextTrack configuration